post
https://yourwebhook.com/kds_order_notification
Purpose
When a customer orders from a Deliverect integrated channel, it will immediately deliver a webhook even to a specified endpoint provided by the POS.
This order will contain the products, prices, payment information and any customer info provided by the channel.
Order Example
Order payload example:
{
"orderId": "6239****835f",
"account": "620d****0f77",
"location": "620d1****0f79",
"channelOrderId": "31yr****vyz1",
"channelOrderDisplayId": "1z3pW****xCZQ4",
"posReceiptId": "",
"orderType": 3,
"channel": 10000,
"pickupTime": "2022-03-03T13:03:00Z",
"deliveryIsAsap": false,
"note": "",
"items": [
{
"plu": "CMB-02",
"name": "Vegetarian Rames",
"quantity": 1,
"subItems": [
{
"plu": "VEG-01",
"name": "Vegetables Sayur Lodeh",
"quantity": 1,
"subItems": []
},
{
"plu": "VEG-02",
"name": "Vegetables Mix Tumisan",
"quantity": 1,
"subItems": []
},
{
"plu": "DRN-02",
"name": "Coca Cola Zero Sugar",
"itemRemark": "Iced.",
"quantity": 1,
"subItems": []
}
],
"itemRemark": "No garlic sauce"
}
],
"packaging": {
"includeCutlery": false
},
"brandId": "60ba****4c57",
"brandName": "Space Bar",
"remake": false,
"customerName": "MD1",
"status": 1
}{
"orderId": "6239****835f",
"account": "620d****0f77",
"location": "620d1****0f79",
"channelOrderId": "31yr****vyz1",
"channelOrderDisplayId": "1z3pW****xCZQ4",
"posReceiptId": "",
"reason": "Customer requested cancellation",
"status": 100,
"brandId": "60ba****4c57",
"brandName": "Space Bar"
}When you receive an order successfully, we expect a HTTP 200, 201 or 204 status response back. Any other HTTP status will be considered as failed.
Order Types
The following orderType are available:
| Type | Integer Value |
|---|---|
| Pickup | 1 |
| Delivery | 2 |
| Eat In | 3 |
200